OGRE: Ogre::RTShader::ProgramProcessor::MergeParameter Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::RTShader::ProgramProcessor::MergeParameter Class Reference

`#include <OgreShaderProgramProcessor.h>`

List of all members.

## Public Member Functions
| MergeParameter ()
| Class constructor.
void | clear ()
| Clear the state of this merge parameter.
void | addSourceParameter (ParameterPtr srcParam, int mask)
| Add source parameter to this merged.
size_t | getSourceParameterCount () const
| Return the source parameter count.
ParameterPtr | getSourceParameter (unsigned int index)
| Return source parameter by index.
int | getSourceParameterMask (unsigned int index) const
| Return source parameter mask by index.
int | getDestinationParameterMask (unsigned int index) const
| Return destination parameter mask by index.
int | getUsedFloatCount ()
| Return the number of used floats.
ParameterPtr | getDestinationParameter (int usage, int index)
| Return the destination parameter.
## Protected Member Functions
void | createDestinationParameter (int usage, int index)
| Creates the destination parameter by a given class and index.
## Protected Attributes
ParameterPtr | mDstParameter
ParameterPtr | mSrcParameter [4]
int | mSrcParameterMask [4]
int | mDstParameterMask [4]
size_t | mSrcParameterCount
size_t | mUsedFloatCount

## Detailed Description

Definition at line 84 of file OgreShaderProgramProcessor.h.

## Constructor & Destructor Documentation

Ogre::RTShader::ProgramProcessor::MergeParameter::MergeParameter | ( |  | ) |

Class constructor.

## Member Function Documentation

void Ogre::RTShader::ProgramProcessor::MergeParameter::addSourceParameter | ( | ParameterPtr | srcParam,
|  | int | mask |
| ) |  |  |

Add source parameter to this merged.

void Ogre::RTShader::ProgramProcessor::MergeParameter::clear | ( |  | ) |

Clear the state of this merge parameter.

void Ogre::RTShader::ProgramProcessor::MergeParameter::createDestinationParameter | ( | int | usage,
|  | int | index |
| ) |  |  | `[protected]`

Creates the destination parameter by a given class and index.

ParameterPtr Ogre::RTShader::ProgramProcessor::MergeParameter::getDestinationParameter | ( | int | usage,
|  | int | index |
| ) |  |  |

Return the destination parameter.

int Ogre::RTShader::ProgramProcessor::MergeParameter::getDestinationParameterMask | ( | unsigned int | index | ) | const

Return destination parameter mask by index.

Definition at line 108 of file OgreShaderProgramProcessor.h.

ParameterPtr Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameter | ( | unsigned int | index | ) |

Return source parameter by index.

Definition at line 102 of file OgreShaderProgramProcessor.h.

size_t Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameterCount | ( |  | ) | const

Return the source parameter count.

Definition at line 99 of file OgreShaderProgramProcessor.h.

int Ogre::RTShader::ProgramProcessor::MergeParameter::getSourceParameterMask | ( | unsigned int | index | ) | const

Return source parameter mask by index.

Definition at line 105 of file OgreShaderProgramProcessor.h.

int Ogre::RTShader::ProgramProcessor::MergeParameter::getUsedFloatCount | ( |  | ) |

Return the number of used floats.

## Member Data Documentation

ParameterPtr Ogre::RTShader::ProgramProcessor::MergeParameter::mDstParameter`[protected]`

Definition at line 123 of file OgreShaderProgramProcessor.h.

int Ogre::RTShader::ProgramProcessor::MergeParameter::mDstParameterMask[4]`[protected]`

Definition at line 126 of file OgreShaderProgramProcessor.h.

ParameterPtr Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameter[4]`[protected]`

Definition at line 124 of file OgreShaderProgramProcessor.h.

size_t Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameterCount`[protected]`

Definition at line 127 of file OgreShaderProgramProcessor.h.

int Ogre::RTShader::ProgramProcessor::MergeParameter::mSrcParameterMask[4]`[protected]`

Definition at line 125 of file OgreShaderProgramProcessor.h.

size_t Ogre::RTShader::ProgramProcessor::MergeParameter::mUsedFloatCount`[protected]`

Definition at line 128 of file OgreShaderProgramProcessor.h.

The documentation for this class was generated from the following file:

- OgreShaderProgramProcessor.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:06